#!/usr/bin/env node
;!function(){try{var e="undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{},n=(new Error).stack;n&&(e._btDebugIds=e._btDebugIds||{},e._btDebugIds[n]="e1365f48-976d-3b47-0eb7-ab8a3f43d5c0")}catch(e){}}();
import { ErrorHandler } from "./app/event/error-handler.js";
import { CLIInterface } from "./app/event/cli.js";
import { appFactory } from "./app/factory.js";
import { MetricsExporter } from "./app/event/metrics-exporter.js";
import { LogInterface } from "./app/event/log.js";
const app = await appFactory(process.argv)
    .catch(() => process.exit(3)); // Error message is printed by factory
const _errorHandler = new ErrorHandler();
const _logInterface = new LogInterface();
const _cliInterface = new CLIInterface();
const _metricsExporter = new MetricsExporter();
try {
    await app.run();
}
catch (err) {
    await _errorHandler.handleError(err);
    process.exit(1);
}
//# sourceMappingURL=main.js.map
//# debugId=e1365f48-976d-3b47-0eb7-ab8a3f43d5c0